BMP(1)

NAME
bmp: - babel universal macro processor

SYNOPSIS
bmp [<Options>] [<filename1> [<filename2> ...]]

OPTIONS

-o <fileneme>
    Output file

-p  Pascal mode (default), equal to -mm "//" -mo "[" -mc "]" -mp "#"

-c  C mode, equal to -mm "#" -mo "[" -mc "]" -mp "$" -l '#line %2 "%1"'

-i  Ignore upper/lower case

-l  Line info (default for C mode: '#line %2 "%1"')

-I  <directory> Include path

-D  <symbol> Define symbol <symbol>

-mm <string>
    Meta macro start string

-mo <char>
    Open bracket

-mc <char>
    Close bracket

-mp <char>
    Parameter character

-dd Print definitions

-h  Help

-o <fileneme>
    Output file

-p  Pascal mode (default), equal to -mm "//" -mo "[" -mc "]" -mp "#"

-c  C mode, equal to -mm "#" -mo "[" -mc "]" -mp "$" -l '#line %2 "%1"'

-i  Ignore upper/lower case

-l  Line info (default for C mode: '#line %2 "%1"')

-I  <directory> Include path

-D  <symbol> Define symbol <symbol>

-mm <string>
    Meta macro start string

-mo <char>
    Open bracket

-mc <char>
    Close bracket

-mp <char>
    Parameter character

-dd Print definitions

-h  Help

SEE ALSO
http://wiki.ztex.de/doku.php?id=en:software:compilation:bmp